---
title: "📻 Modules et Playbooks, cap sur Ansible ! | Radio DevOps #33"
date: "2023-04-13"
categories: 
  - "podcast"
  - "radio-devops"
tags: 
  - "devops-ansible-gestion-module-playbook"
coverImage: "YT_Modules_et_playbooks_cap_sur_Ansible_Radio_DevOps_33.png"
---

## 👨‍💻 Aujourd'hui, on se penche sur la gestion de configuration, notamment avec Ansible.
<!-- truncate -->

<iframe src="//www.youtube.com/embed/rMZ2-Szd-QE" width="560" height="314" allowfullscreen="allowfullscreen"></iframe>

**💬 Rejoins-nous !** Viens nous donner ton avis sur le sujet dans la [communauté des Compagnons du DevOps](https://www.compagnons-devops.fr/).

 

Quand on fait du code d’infrastructure, on peut, soit tout refaire soi même, soit utiliser du code libre mis à disposition par d'autres.

C'est ce dont on va discuter aujourd'hui avec Nicolas, René et Damyr. La gestion de configuration, en particulier avec Ansible, vaut-il mieux utiliser des playbooks publics ou re-developper ses ressources personnelles ?

 

### Sommaire :

00:00 Intro 01:24 Pourquoi réutiliser des modules et playbooks publiques ? 11:08 Pourquoi créer des briques de ces outils ? 22:35 Retrouve mon antisèche Ansible (à venir) 23:01 Pourquoi redévelopper ? 54:33 Rejoins et la communauté (c'est gratuit) [https://www.compagnons-devops.fr](https://www.compagnons-devops.fr) 💖 Soutien mon travail et la communauté [https://soutenir.compagnons-devops.fr](https://soutenir.compagnons-devops.fr) 53:13 Clôture

 

### **MON JOBBOARD**

[💼 Trouve ton job de rêve 💼](https://vu.fr/jobboard-DevOps) 

[👔 Recrute avec moi 👔](https://vu.fr/jobboard-DevOps-recrute) 

 

### Mes antisèches

🎁 git : [https://bref.lydra.fr/antisechegit](https://bref.lydra.fr/antisechegit) 🐳 Docker : [https://bref.lydra.fr/antisechedocker](https://bref.lydra.fr/antisechedocker)

👨‍💻 Ansible : (à venir)

 

🎓 Forge toi un état d'esprit DevOps : [https://vu.fr/devops-mindset](https://vu.fr/devops-mindset) 🔀 Ma RoadMap DevOps : [https://vu.fr/RoadmapDevOps](https://vu.fr/RoadmapDevOps)

 

* * *

 

Bienvenue, chez les compagnons sur **Radio DevOps**. La Baladodiffusion des **Compagnons du DevOps**. Le podcast en français dédié à notre mouvement.

Nos émissions :

- **🗞 Actus Devops :** est une émission animée par des membres de la communauté des Compagnons du DevOps. Dans chaque épisode nous étudierons l’actualité Cloud et DevOps.
- **📻 Radio DevOps :** est l'émission phare animée par des membres de la communauté des Compagnons du DevOps. Dans chaque épisode nous débattrons sur un sujet de fond.
- **🛋 En aparté :** est une émission où je m’entretiendrai avec un invité sur le mouvement DevOps en entreprise.
- **🎙️ En Solo  :** est une émission où je serai seul pour vous parler de DevOps ou de Cloud.

📩 Si tu n'es pas déjà abonné, alors **abonne-toi** pour ne pas rater ces émissions.

🎓 Développe tes compétences DevOps avec un #mentor : [http://devops-mentor.tech/](http://devops-mentor.tech/)

 

* * *

### **Crédits**

#### Les podcasteurs :

- Christophe Chaudier : consultant indépendant au sein du collectif Lydra. Animateur du podcast de la communauté des Compagnons du DevOps. Découvre le : [https://lydra.fr/ea-3-le-podcasteur-christophe](https://lydra.fr/ea-3-le-podcasteur-christophe) | LinkedIn : [https://www.linkedin.com/in/cchaudier](https://www.linkedin.com/in/cchaudier)
- René Ribaud : architecte DevOps chez CGI. Il aime apprendre et transmettre des connaissances sur le logiciel libre et le DevOps. Découvre le : [https://lydra.fr/ea-6-le-podcasteur-rene/](https://lydra.fr/ea-6-le-podcasteur-rene/) | Linkedin : [https://www.linkedin.com/in/ren%C3%A9-ribaud-44145137](https://www.linkedin.com/in/ren%C3%A9-ribaud-44145137) | Twitter : [https://twitter.com/Uggla\_](https://twitter.com/Uggla_) | Github : [https://github.com/uggla](https://github.com/uggla)
- DamyR : SRE chez Waays / DevOps, passionné d'open source & de logicel libre, 👨‍🏫 professeur vacataire à l'université Léonard de Vinci. Son credo : "_La connaissance n'a de valeur que si elle est partagée_" ;-). Découvre le : [https://lydra.fr/ea-1-le-podcasteur-damyr/](https://lydra.fr/ea-1-le-podcasteur-damyr/) | Linkedin : linkedin.com/in/tgerardin/ | Twitter : [https://twitter.com/damyr\_fr](https://twitter.com/damyr_fr) | Blog : [https://www.damyr.fr](https://www.damyr.fr)
- Nicolas Ledez : devops chez CGWire. Il travaille dans l'IT depuis 20 ans. Il est "Schizophréne" : adminsys et développeur suivant le moment de la journée. Il paraît que ça s'appelle "devops", même si il déteste mettre ce nom sur un poste. Découvre le : [https://lydra.fr/ea-8-le-podcasteur-nicolas/](https://lydra.fr/ea-8-le-podcasteur-nicolas/) | LinkedIn : [https://www.linkedin.com/in/nicolasledez](https://www.linkedin.com/in/nicolasledez) | Twitter : [https://twitter.com/nledez](https://twitter.com/nledez) | Github : [https://github.com/nledez](https://github.com/nledez) | Le reste : [https://nicolas.ledez.net](https://nicolas.ledez.net)

 

#### Le montage est de :

- Louna Ho : [https://www.linkedin.com/in/louna-ho-0656801b1/](https://www.linkedin.com/in/louna-ho-0656801b1/)

 

#### L'intro et la fin sont de :

- Baptiste Gaillet : FullStack développeur avec une tendance DevOps au Centre Scientifique et Technique du Bâtiment, Fondateur et développeur de l'application BedFoodCoffee pour aider les personnes en difficultés. Après des études dans le son et différents métiers, il a effectué une reconversion professionnelle en 2015 pour devenir développeur (Formation diplômante dans le cadre d’un CIF). LinkedIn : [https://www.linkedin.com/in/baptiste-gaillet-223832b4](https://www.linkedin.com/in/baptiste-gaillet-223832b4) | Twitter : [https://twitter.com/bat79a](https://twitter.com/bat79a)
- La musique d'intro est _"Tupac Lives"_ de John Bartmann : [https://pixabay.com/fr/music](https://pixabay.com/fr/music)
- La musique de fin est _"Passport"_ de Purple planet : [https://www.purple-planet.com/passport](https://www.purple-planet.com/passport)

#### Image de :

- tawatchai07: [https://www.freepik.com/free-photo/aerial-view-container-cargo-ship-sea\_13180387.htm](https://www.freepik.com/free-photo/aerial-view-container-cargo-ship-sea_13180387.htm)

 

📜 Ce contenu est sous licence libre : CC BY-SA [https://creativecommons.org/licenses/by-sa/4.0/deed.fr](https://creativecommons.org/licenses/by-sa/4.0/deed.fr) Si tu utilises ces contenus dans une publication, merci de nous le notifier dans les commentaires.

 

* * *

 

🔗 Tous mes liens : [https://i.mtr.bio/compagnons-devops](https://i.mtr.bio/compagnons-devops)

🌐 Les Compagnons du DevOps est une initiative de Lydra : [https://www.lydra.fr](https://www.lydra.fr)

 

#DevOps #Ansible #Gestion #Module #Playbook
