---
title: "🔴 Un runner GitLab dans Gitpod ? | Live Meetup avec Jean-Philippe Baconnais"
date: "2023-04-24"
categories: 
  - "rencontre-virtuelles"
  - "videos"
tags: 
  - "devops-live-meetup-developpement-cloud-gitlab-gitpod-cicd"
coverImage: "🔴-Comment-lancer-automatiquement-un-runner-GitLab-avec-son-environnement-de-dev-Gitpod-Live-Meetup-avec-Jean-Philippe-Baconnais.png"
---

## 🤯 Késako ⁉️ Il crée son propre runner GitLab quand il démarre son environnement de dev Gitpod !
<!-- truncate -->

https://youtube.com/live/igymzWD2WBE

💬 Si tu as envie de participer aux prochains Lives Meetup en direct inscrit toi aux Compagnons du DevOps : [https://www.compagnons-devops.fr](https://www.compagnons-devops.fr)

 

Les runners GitLab sont la base de tes pipelines dans GitLab. Ils permettent d’exécuter les tâches qui peuvent, par exemple, packager et déployer tes applications.

Sais-tu qu’il est rapidement possible de créer ton propre runner sur ton poste ou sur tout autre type d’infrastructure ?

Au quotidien, Jean-Philippe Baconnais développe sur des environnements créés sur le Cloud avec Gitpod, et il s'est amusé à créer son propre runner au démarrage de son workspace.

Tu vas me demander à quoi cela peut bien lui servir ? Pourquoi il fait ça ? Est-il fou ?

Dans ce talk après nous avoir présenté rapidement ce qu’est un runner, il nous montrera comment il a configuré son projet pour avoir son propre runner GitLab créé et configuré au démarrage de son workspace Gitpod ! 🤘

Jean-Philippe Baconnais est Consultant chez Zenika Nantes 🦊 GitLab Heroes et 🍑🦸 Gitpod Community Hero.

 

## Sommaire

00:00 Introduction 03:52 La présentation 30:21 Questions du Chat 45:53 Planning des lives

 

 

🎁 Télécharge mon antisèche git [https://froggit.fr/communaute](https://froggit.fr/communaute)

Le format des rencontres virtuelles des Compagnons du DevOps est simple :

- Un talk de 10 à 30 min, celui-là fera exceptionnellement 45 min
- Les questions du chat
- Le Live dure environ 1h

Le Live exclusif et privés pour les Compagnons. Le lien est envoyé par mail et disponible sur le Forum. Et ils sont les seul sur le chat. Le replay est disponible sur le forum pendant 1 mois. Puis il deviens publique 1 mois plus tard. La fréquence est aléatoire.

📣 Propose ton talk : [https://forum.compagnons-devops.fr/t/proposez-vos-talks/1681](https://forum.compagnons-devops.fr/t/proposez-vos-talks/1681)

📅 Le calendrier des Lives : [https://cloud.lydra.fr/apps/calendar/p/p38JJa2XyrNK2gFJ/dayGridMonth/now](https://cloud.lydra.fr/apps/calendar/p/p38JJa2XyrNK2gFJ/dayGridMonth/now)Pour l’intégrer dans ton agenda : [https://cloud.lydra.fr/remote.php/dav/public-calendars/p38JJa2XyrNK2gFJ?export](https://cloud.lydra.fr/remote.php/dav/public-calendars/p38JJa2XyrNK2gFJ?export)

 

## Les liens

- Gitpod : [https://www.gitpod.io/](https://www.gitpod.io/)
- GitLab : [https://about.gitlab.com/](https://about.gitlab.com/)
- Les slides : [https://docs.google.com/presentation/d/1nhHd0QLsRr7m2Jpp9fymojW\_xIHo6SqfH\_JQQRnya4s/edit#slide=id.p](https://docs.google.com/presentation/d/1nhHd0QLsRr7m2Jpp9fymojW_xIHo6SqfH_JQQRnya4s/edit#slide=id.p)
- Le dépôt de code : [https://gitlab.com/jeanphi-baconnais/gitpod-create-gitlab-runner](https://gitlab.com/jeanphi-baconnais/gitpod-create-gitlab-runner)
- LinkedIn de Jean-Philippe Baconnais [https://www.linkedin.com/in/raphink/](https://www.linkedin.com/in/raphink/)
- Fin de Gitpod self-hosted : [https://www.simonemms.com/blog/2023/02/05/self-hosted-is-dead-long-live-self-hosted/](https://www.simonemms.com/blog/2023/02/05/self-hosted-is-dead-long-live-self-hosted/)
- Dépôt pour héberger un Gitpod : [https://github.com/mrsimonemms/gitpod-self-hosted](https://github.com/mrsimonemms/gitpod-self-hosted)

 

Soutiens mon travail et la communauté 💖 [https://liberapay.com/cchaudier](https://liberapay.com/cchaudier)

### MON JOBBOARD

[💼 Trouve ton job de rêve 💼](https://vu.fr/jobboard-DevOps) 

[👔 Recrute avec moi 👔](https://vu.fr/jobboard-DevOps-recrute) 

 

## Mes antisèches

🎁 git : [https://bref.lydra.fr/antisechegit](https://bref.lydra.fr/antisechegit) 🐳 Docker : [https://bref.lydra.fr/antisechedocker](https://bref.lydra.fr/antisechedocker)

🎓 Forge toi un état d'esprit DevOps : [https://vu.fr/devops-mindset](https://vu.fr/devops-mindset) 🔀 Ma RoadMap DevOps : [https://vu.fr/RoadmapDevOps](https://vu.fr/RoadmapDevOps)

 

## Crédits

- Christophe Chaudier : consultant indépendant au sein du collectif Lydra. Animateur du podcast de la communauté des Compagnons du DevOps. Découvre le : [https://lydra.fr/ea-3-le-podcasteur-christophe](https://lydra.fr/ea-3-le-podcasteur-christophe) - LinkedIn : [https://www.linkedin.com/in/cchaudier](https://www.linkedin.com/in/cchaudier)

 

📜 Ce contenu est sous licence libre : CC BY-SA : [https://creativecommons.org/licenses/by-sa/4.0/deed.fr](https://creativecommons.org/licenses/by-sa/4.0/deed.fr) Si tu utilises ces contenus dans une publication, merci de nous le notifier dans les commentaires.

L'image est de : [https://www.freepik.com/free-vector/landing-page-devops-development-operations\_7588702.htm](https://www.freepik.com/free-vector/landing-page-devops-development-operations_7588702.htm)

* * *

📩 Si tu n'es pas déjà abonné, alors abonne-toi pour ne pas rater les prochaines vidéos. ❓ Pose-moi une question : [http://question.compagnons-devops.fr](http://question.compagnons-devops.fr)

🔗 Tous mes liens : [https://i.mtr.bio/compagnons-devops](https://i.mtr.bio/compagnons-devops)

🌐 Les Compagnons du DevOps est une initiative de Lydra : [https://www.lydra.fr](https://www.lydra.fr)

#DevOps #Live #MeetUp #Developpement #cloud #gitlab #Gitpod #CICD
