module.exports = {
  "env": {
      "browser": true,
      "node": true,
      "es2021": true
  },
  "extends": [
      "eslint:recommended",
      "plugin:@docusaurus/recommended",
      "plugin:react/recommended",
  ],
  "overrides": [
  ],
  "parser": "@babel/eslint-parser",
  "parserOptions": {
      "ecmaVersion": "latest",
      "sourceType": "module",
  },
  "plugins": [
      "@docusaurus",
      "react",
  ],
  "rules": {
    "react/prop-types": "off",
  }
}
