---
title: "🦊 Mozilla se lance dans l'intelligence artificielle ? | Actus DevOps Avril 2023"
date: "2023-04-27"
categories: 
  - "actu-devops"
  - "podcast"
tags: 
  - "devops-actualites-podcast-cloud-incendie-securite-ia"
coverImage: "Actu_DevOps_Avril_2023_Mozilla_se_lance_dans_lintelligence_artificielle.png"
---

## 🗞 Actus DevOps est ton #podcast de veille #DevOps et #Cloud mensuel.
<!-- truncate -->

<iframe src="//www.youtube.com/embed/ssb8rt28kyM" width="560" height="314" allowfullscreen="allowfullscreen"></iframe>

**Rejoins-nous !** 💬  Viens discuter avec nous et rejoins gratuitement la [communauté des Compagnons du DevOps](https://www.compagnons-devops.fr/).

 

### Sommaire :

00:00 Intro : Que se passe-t-il en ce moment dans le monde du DevOps ou du Cloud ?

01:10 Vos messages

05:27 Incendie Maxnode [https://www.lebigdata.fr/incendie-data-center-maxnod-france](https://www.lebigdata.fr/incendie-data-center-maxnod-france)

20:34 Souveraineté Numérique : Octave Klaba veux se payer Qwant [https://www.lesnumeriques.com/societe-numerique/synfonium-ovh-shadow-et-qwant-s-allient-pour-tenter-de-creer-un-geant-europeen-du-cloud-n208842.html](https://www.lesnumeriques.com/societe-numerique/synfonium-ovh-shadow-et-qwant-s-allient-pour-tenter-de-creer-un-geant-europeen-du-cloud-n208842.html) [https://www.webrankinfo.com/dossiers/etudes/parts-marche-moteurs](https://www.webrankinfo.com/dossiers/etudes/parts-marche-moteurs)

30:19 Soutiens la communauté 💖 : [https://soutenir.compagnons-devops.fr](https://soutenir.compagnons-devops.fr)

30:53 Mozilla.ia se lance dans la course a l’IA [https://www.silicon.fr/mozilla-ai-30-millions-start-up-communaute-461199.html](https://www.silicon.fr/mozilla-ai-30-millions-start-up-communaute-461199.html) [https://huggingface.co/](https://huggingface.co/) Podcast ChatGPT est une boite noire avec Thomas Wolf d’Hugging Face : [https://mondenumerique.info/episode/chatgpt-est-une-boite-noire-itw-thomas-wolf-hugging-face](https://mondenumerique.info/episode/chatgpt-est-une-boite-noire-itw-thomas-wolf-hugging-face)

42:14 Docker supprime l’accès gratuit aux groupes et organisations [https://linuxfr.org/users/bortzmeyer/journaux/docker-supprime-l-acces-gratuit-aux-groupes-et-organisations](https://linuxfr.org/users/bortzmeyer/journaux/docker-supprime-l-acces-gratuit-aux-groupes-et-organisations) [https://www.docker.com/blog/no-longer-sunsetting-the-free-team-plan/](https://www.docker.com/blog/no-longer-sunsetting-the-free-team-plan/) [https://linuxfr.org/users/postroutine/journaux/alternatives-a-docker-ou-presque](https://linuxfr.org/users/postroutine/journaux/alternatives-a-docker-ou-presque)

01:03:54 Nos outils

- codeium : alternative a copilot - [https://codeium.com/](https://codeium.com/)
- [https://exercism.org/](https://exercism.org/)
- erdtree : Un outil moderne de visualisation d'arborescence de fichiers et d'analyse de l'utilisation du disque qui respecte les fichiers cachés et .gitignore c'est-à-dire l'enfant caché de tree et du - [https://github.com/solidiquis/erdtree](https://github.com/solidiquis/erdtree)
- Dead cells Castlevania : [https://store.steampowered.com/app/2101430/Dead\_Cells\_Return\_to\_Castlevania/](https://store.steampowered.com/app/2101430/Dead_Cells_Return_to_Castlevania/)
    - L'éditeur est une SCOP [https://fr.wikipedia.org/wiki/Motion\_Twin](https://fr.wikipedia.org/wiki/Motion_Twin)
    - Documentaire sur la création du jeu [https://www.youtube.com/watch?v=P3yqWZq2H4s](https://www.youtube.com/watch?v=P3yqWZq2H4s)
- newreleases : c'est un outil pour suivre les nouvelles versions des outils que vous utilisez [https://newreleases.io/](https://newreleases.io/)
- stack.watch qui permet de faire la même chose pour pour les alertes de sécurités [https://stack.watch/](https://stack.watch/)
- Ansible Bonne utilisation du module shell et command - [https://blog.stephane-robert.info/post/ansible-module-shell-command/](https://blog.stephane-robert.info/post/ansible-module-shell-command/)
- Harbor : Registre de conteneurs de la CNCF [https://goharbor.io/](https://goharbor.io/)

01:23:33 Clôture

 

### MON JOBBOARD

[💼 Trouve ton job de rêve 💼](https://vu.fr/jobboard-DevOps) 

[👔 Recrute avec moi 👔](https://vu.fr/jobboard-DevOps-recrute) 

 

### MES ANTISÈCHES

🎁 git : [https://bref.lydra.fr/antisechegit](https://bref.lydra.fr/antisechegit) 🐳 Docker : [https://bref.lydra.fr/antisechedocker](https://bref.lydra.fr/antisechedocker) 🔀 Ma RoadMap DevOps : [https://vu.fr/RoadmapDevOps](https://vu.fr/RoadmapDevOps)

 [](https://vu.fr/jobboard-DevOps-recrute)

 

* * *

Bienvenue, chez les compagnons sur **Radio DevOps**. La Baladodiffusion des **Compagnons du DevOps**. Le podcast en français dédié à notre mouvement.

Nos émissions :

- **🗞 Actus Devops :** est une émission animée par des membres de la communauté des Compagnons du DevOps. Dans chaque épisode nous étudierons l’actualité Cloud et DevOps.
- **📻 Radio DevOps :** est l'émission phare animée par des membres de la communauté des Compagnons du DevOps. Dans chaque épisode nous débattrons sur un sujet de fond.
- **🛋 En aparté :** est une émission où je m’entretiendrai avec un invité sur le mouvement DevOps en entreprise.
- **🎙️ En Solo  :** est une émission où je serai seul pour vous parler de DevOps ou de Cloud.

 

* * *

[🎓 DÉMARRE LA FORMATION **| DEVOPS MINDSET | 🎓**](https://www.compagnons-devops.fr/devops-mindset) 

* * *

### **Crédits**

#### Les podcasteurs :

-  Christophe Chaudier : consultant indépendant au sein du collectif Lydra. Animateur du podcast de la communauté des Compagnons du DevOps. professeur vacataire à Télécom Saint-Étienne et au CFAI Loire. Découvre le : [https://lydra.fr/ea-3-le-podcasteur-christophe](https://lydra.fr/ea-3-le-podcasteur-christophe) | LinkedIn : [https://www.linkedin.com/in/cchaudier](https://www.linkedin.com/in/cchaudier) | Froggit : [https://froggit.fr/](https://froggit.fr/)
- Nicolas Ledez : devops chez CGWire. Il travaille dans l'IT depuis 20 ans. Il est "Schizophréne" : adminsys et développeur suivant le moment de la journée. Il paraît que ça s'appelle "devops", même si il déteste mettre ce nom sur un poste. Découvre le : [https://lydra.fr/ea-8-le-podcasteur-nicolas/](https://lydra.fr/ea-8-le-podcasteur-nicolas/) | LinkedIn : [https://www.linkedin.com/in/nicolasledez](https://www.linkedin.com/in/nicolasledez) | Twitter : [https://twitter.com/nledez](https://twitter.com/nledez) | Github : [https://github.com/nledez](https://github.com/nledez) | Le reste : [https://nicolas.ledez.net](https://nicolas.ledez.net)
- Erwan Ben Soudien : DevOps chez Toucan Toco (ex Deezer, Antelink, Weborama - ex sysadmin ) - professeur vacataire à Paris XIII / IUT Creteil. Découvre le : [https://lydra.fr/ea-2-le-podcasteur-erwan/](https://lydra.fr/ea-2-le-podcasteur-erwan/) | Linkedin : [https://www.linkedin.com/in/erwan-ben-souiden-8b8084152](https://www.linkedin.com/in/erwan-ben-souiden-8b8084152)
- René Ribaud : Software Engineer chez RedHat. J'aime apprendre et transmettre des connaissances sur le logiciel libre et le DevOps. Découvre le : [https://lydra.fr/ea-6-le-podcasteur-rene/](https://lydra.fr/ea-6-le-podcasteur-rene/) | Linkedin : [https://www.linkedin.com/in/ren%C3%A9-ribaud-44145137/](https://www.linkedin.com/in/ren%C3%A9-ribaud-44145137/) | Twitter : [https://twitter.com/Uggla\_](https://twitter.com/Uggla_) | Github : [https://github.com/uggla](https://github.com/uggla) | Sa présentation : [https://forum.compagnons-devops.fr/t/uggla-floss-addict-architecte-si/](https://forum.compagnons-devops.fr/t/uggla-floss-addict-architecte-si/)

L'intro et la fin sont de :

- Baptiste Gaillet : FullStack développeur avec une tendance DevOps au Centre Scientifique et Technique du Bâtiment, Fondateur et développeur de l'application BedFoodCoffee pour aider les personnes en difficultés. Après des études dans le son et différents métiers, il a effectué une reconversion professionnelle en 2015 pour devenir développeur (Formation diplômante dans le cadre d’un CIF). LinkedIn : [https://www.linkedin.com/in/baptiste-gaillet-223832b4](https://www.linkedin.com/in/baptiste-gaillet-223832b4) | Twitter : [https://twitter.com/bat79a](https://twitter.com/bat79a)
- La musique d'intro est _"Tupac Lives"_ de John Bartmann : [https://pixabay.com/fr/music](https://pixabay.com/fr/music)
- La musique de fin est _"Passport"_ de Purple planet : [https://www.purple-planet.com/passport](https://www.purple-planet.com/passport)

L'image est de Rawpixel.com : [https://www.freepik.com/free-photo/technology-human-touch-background-modern-remake-creation-adam\_17851045.htm](https://www.freepik.com/free-photo/technology-human-touch-background-modern-remake-creation-adam_17851045.htm)

Le montage est de Louna HO : [https://www.linkedin.com/in/louna-ho-0656801b1/](https://www.linkedin.com/in/louna-ho-0656801b1/)

📜 Ce contenu est sous licence libre : CC BY-SA : [https://creativecommons.org/licenses/by-sa/4.0/deed.fr](https://creativecommons.org/licenses/by-sa/4.0/deed.fr) Si tu utilises ces contenus dans une publication, merci de nous le notifier dans les commentaires.

* * *

 🌐 Les Compagnons du DevOps est une initiative de Lydra : [https://www.lydra.fr](https://www.lydra.fr)

 

#DevOps #Actualités #podcast #cloud #incendie #sécurité #IA
