---
title: "👨‍💻 Déploiement astro.js sur les Froggit Pages | Live coding GitLab"
date: "2023-05-16"
categories: 
  - "live-coding"
  - "videos"
tags: 
  - "astro"
  - "devops"
  - "froggit"
  - "git"
  - "gitlab"
  - "livecoding"
  - "page"
  - "tuto"
coverImage: "Déploiement-astro-sur-les-GitLab-pages-Live-Coding.png"
---

## Je découvre en live Astro.js, on va essayer de déployer un site sur les #Froggit Pages.
<!-- truncate -->

<iframe title="YouTube video player" src="https://www.youtube.com/embed/_Wy2_druSGY" width="560" height="315" frameborder="0" allowfullscreen="allowfullscreen"></iframe>

#### 💬 Rejoins la communauté des Compagnons du DevOps : https://www.compagnons-devops.fr

### Programme

00:00 Début du live et introduction 02:55 Présentation de Astro 27:50 Mise en ligne du site sur les Froggit Pages 01:42:00 Et ensuite ? 02:06:26 Clôture 02:07:02 Les prochains Lives 📅 Le calendrier des Lives : [https://cloud-esprit-libre.ovh/apps/calendar/p/p38JJa2XyrNK2gFJ/dayGridMonth/now](https://cloud-esprit-libre.ovh/apps/calendar/p/p38JJa2XyrNK2gFJ/dayGridMonth/now) Pour l’intégrer dans ton agenda : [https://cloud-esprit-libre.ovh/remote.php/dav/public-calendars/p38JJa2XyrNK2gFJ?export](https://cloud-esprit-libre.ovh/remote.php/dav/public-calendars/p38JJa2XyrNK2gFJ?export)

💖 Tu peux soutenir mon travail et la communauté sur :

- [https://liberapay.com/cchaudier](https://liberapay.com/cchaudier)

### Les liens :

- Astro.js [https://astro.build/](https://astro.build/)
- Le dépôt de code : [https://lab.frogg.it/froggit/poc/astrojs](https://lab.frogg.it/froggit/poc/astrojs)

### Ma Config :

- Oh My ZSH : [https://ohmyz.sh/](https://ohmyz.sh/)
- Mes dotfiles : [https://gitlab.com/cchaudier/dotfiles-local](https://gitlab.com/cchaudier/dotfiles-local)
- Ils utilisent : [https://github.com/thoughtbot/dotfiles](https://github.com/thoughtbot/dotfiles)
- Zettlr mon logiciel de prise de note et éditeur MarkDown : [https://www.zettlr.com/](https://www.zettlr.com/)
- Mon IDE : [https://vscodium.com/](https://vscodium.com/)
- Mon gestionnaire de merge et des conflits : [http://meldmerge.org/](http://meldmerge.org/)
- Je stream avec OBS Studio : [https://obsproject.com/](https://obsproject.com/)

📅 Le calendrier des Lives : [https://cloud-esprit-libre.ovh/apps/calendar/p/p38JJa2XyrNK2gFJ/dayGridMonth/now](https://cloud-esprit-libre.ovh/apps/calendar/p/p38JJa2XyrNK2gFJ/dayGridMonth/now) Pour l’intégrer dans ton agenda : [https://cloud-esprit-libre.ovh/remote.php/dav/public-calendars/p38JJa2XyrNK2gFJ?export](https://cloud-esprit-libre.ovh/remote.php/dav/public-calendars/p38JJa2XyrNK2gFJ?export)

🎁 Rejoins la communauté #Froggit et télécharge mon antisèche git : [https://froggit.fr/communaute](https://froggit.fr/communaute)

—

📩 Si tu n'es pas déjà abonné, alors **abonne-toi** pour ne pas rater les prochaines vidéos. ❓ Pose-moi une question : [http://question.compagnons-devops.fr](http://question.compagnons-devops.fr)

💬 Si tu as envie de discuter du mouvement, le plus simple est que tu nous rejoignes dans la communauté des compagnons du DevOps : [https://www.compagnons-devops.fr](https://www.compagnons-devops.fr)

* * *

### Crédits :

- Christophe Chaudier : consultant indépendant au sein du collectif Lydra. Animateur du podcast de la communauté des Compagnons du DevOps. Découvre le : [https://lydra.fr/ea-3-le-podcasteur-christophe/](https://lydra.fr/ea-3-le-podcasteur-christophe/) - LinkedIn : [https://www.linkedin.com/in/cchaudier](https://www.linkedin.com/in/cchaudier)
- L'image est de Astro Boy (studio Mushi Production et Osamu Tezuka)

📜 Ce contenu est sous licence libre : CC BY-SA : [https://creativecommons.org/licenses/by-sa/4.0/deed.fr](https://creativecommons.org/licenses/by-sa/4.0/deed.fr) Si tu utilises ces contenus dans une publication, merci de nous le notifier dans les commentaires.

* * *

🔗 Tous mes liens : [https://i.mtr.bio/compagnons-devops](https://i.mtr.bio/compagnons-devops)

🌐 Les Compagnons du DevOps est une initiative de Lydra : [https://www.lydra.fr](https://www.lydra.fr)

#Tuto #LiveCoding #DevOps #Git #GitLab #page #Astro #Froggit
